//
//  Copyright © 2016 Outplay Entertainment Ltd. All rights reserved.
//

// --- Attributes ----

attribute vec4 position;
attribute vec4 sourceColour;

attribute vec2 texCoordIn;

// ---- Uniforms ----

uniform mat4 projection;

// --- Variables ----

varying lowp vec4 colourOut;

varying lowp vec2 texCoordOut;

// ---- Functions ----

void setColour()
{
    colourOut = sourceColour;
}

void setGlPosition()
{
    gl_Position = projection * position;
}

void setTexCoords()
{
    texCoordOut = texCoordIn;
}

void main()
{
    setColour();
    setGlPosition();
    setTexCoords();
}
